1

Onderwerp: Qgis opensuse leap 15.0

Als een tevreden gebruiker van Opensuse moet ik nu kwijt dat Leap 15.0 iet helemaal goed functioneert.
Ik werk met Qgis, Postgresql en Postgis. Door een stommiteit moest ik Leap 15.0 opnieuw installeren. Geen probleem.
Ik kan echter binnen opensuse leap15.0 geen softwarebron vinden die Qgis levert.
Wanneer ik via internet toch een bron vind en Qgis wil installeren krijg ik  de melding dat niets lib.proj.so13() levert.

Wat doe ik fout? Wie kan mij helpen?

Jacques

2

Re: Qgis opensuse leap 15.0

Heb je deze bron gebruikt?
https://www.qgis.org/nl/site/forusers/a … l#opensuse

Help mee om KDE 5 in het Nederlands te vertalen!!

3

Re: Qgis opensuse leap 15.0

https://software.opensuse.org/package/qgis

One click installatie van suse

Help mee om KDE 5 in het Nederlands te vertalen!!

4

Re: Qgis opensuse leap 15.0

Rinse,

Bedankt voor de link.
De enige versie die werkt is 2.18. van Beyerle:IAC. De versie Qgis 3.6 van  Aplication: Geo  geeft de melding lib.proj.so13(). Ook de installatie van postgis geeft deze melding.
Bij de Qgis versie 2.18 van Beyerle:IAC  zit geen postgis.
De LTR versie Qgis 3.4 is niet in Leap 15.0 aanwezig.

Met versie 2.18 kan ik leven, maar ik heb wel postgis nodig voor de geometrie in Postgresql.

Ik weet niet hoe ik dit moet oplossen.

Jacques

5

Re: Qgis opensuse leap 15.0

Heb je de eerste link van Rinse al geprobeerd? Vaak hebben die 1-click installs dependencies op verschillende bibliotheken.

Rinse schreef:

Heb je deze bron gebruikt?
https://www.qgis.org/nl/site/forusers/a … l#opensuse

Ik ken OpenSuse verder niet, maar je moet een repo (of installatiebron of hoe je het ook noemen wilt) toevoegen aan je package manager (heet die Yast?) met een link naar https://download.opensuse.org/repositories/Application:/Geo/openSUSE_Leap_15.0/. Vervolgens kun je dan via je package manager Qgis installeren.

-------------------------------------------------
Fedora 27 met Gnome 3
CentOS 7 als server

6

Re: Qgis opensuse leap 15.0

Qgis 2.18 is te downloaden en te installeren via repository Beyerle:IAC, maar na het opstarten laadt Qgis de plug-ins en crasht.
Postgis is bij  de repository Beyerle:IAC niet aanwezig.

Het downloaden bij :GEO levert versie 3.6 waar tijdens de installatie de melding komt uit mijn eerste bericht.
Dit geldt ook voor Postgis bij :GEO

Jacques

7

Re: Qgis opensuse leap 15.0

Vreemd, in de repo die is aangegeven staat ook een proj-6.0.0-lp150.33.1.x86_64.rpm. Deze zou die .so in zich moeten hebben. De datum van aanmaak / wijziging is wel 18 maart 2019. Dus het kan zijn dat het nu wel werkt.

Als het nog niet werkt zal ik eens een VM aanslingeren.

-------------------------------------------------
Fedora 27 met Gnome 3
CentOS 7 als server

8

Re: Qgis opensuse leap 15.0

EdbO,

Bedankt voor je informatie. Ik heb qgis 3.4 kunnen installeren in combinatie met jouw aangegeven proj-6.0.0-lp150.33.1.x86_64.rpm.
Het opstarten gaat goed tot de laatste stap. Het project window wordt zichtbaar. De start figuur bij het het opstarten met Qgis 3.4 LTR Madeira  blijft hangen waarna vervolgens Qgis crasht.

Jacques

9

Re: Qgis opensuse leap 15.0

Voor de volledigheid.
Na het opstarten van Qgis staat nadat de plug-ins zijn herladen de mededeling Qgis gereed.
Daarna crasht Qgis.

Jacques

10

Re: Qgis opensuse leap 15.0

Dit is wel heel erg raar. Ik heb een VM gestart waarin ik openSuse leap 15 heb geïnstalleerd. Daarna eerst alle updates laten doorvoeren zodat alles weer up-to-date is. De repo uit comment #5 toegevoegd en alles weer updaten en geprobeerd om via de commandline met

sudo zypper install qgis

Qgis te installeren. Dat werkt dus niet zoals al gezegd omdat lib.proj.so.13 niet bestaat.
Wat verder gezocht, blijkt dat er een libproj12 en een libproj15 bestaat MAAR geen libproj13 sad  Dus gezocht waar die libproj.so.13 dan zou moeten staan. Dat zou /usr/lib64/ moeten zijn. En omdat ik libproj12 en libproj15 had geïnstalleerd stonden daar dus

/usr/lib64/libproj.so.12
/usr/lib64/libproj.so.15

Ik heb met

cd /usr/lib64/
sudo ln -s libproj.so.15.0.0 libproj.so.13

een link gelegd naar de libproj.so.13 en daarna met

sudo zypper install qgis

Qgis geïnstalleerd. Zypper blijft zeuren over libproj.so.13, maar ik heb aangegeven, gewoon installeren. Daarna vanaf de commandline qgis gestart, kreeg netjes het hoofdvenster en kon de demodata van Alaska openen zonder crash. Dit is dan wel qgis 3.6.0 maar ik vermoed dat de andere versies ook zouden moeten werken.

Ik weet niet wie de qgis software onderhoud voor openSuse, maar je zou die personen even moeten laten weten dat er iets niet helemaal klopt. Qgis is aan een verkeerde bibliotheek gelinked.

-------------------------------------------------
Fedora 27 met Gnome 3
CentOS 7 als server

11

Re: Qgis opensuse leap 15.0

Edbo,
Bedankt vooral je tijd en moeite.

Ik zal het melden bij het forum van Opensuse.

Jacques